module Main where

import Data.List ( group, sort )
import qualified Data.Map.Strict as M

contadorMap :: String -> M.Map String Int
contadorMap texto = M.fromListWith (+) [(palavra, 1) | palavra <- words texto]

contador :: String-> [(String, Int)]
contador texto = [(head palavra, length palavra) | palavra <- group palavras]
  where
    palavras = sort (words texto)

main :: IO ()
main = do
  texto <- getContents
  mapM_ (\(s, c) -> putStrLn (s ++ ", " ++ show c)) (M.toList (contadorMap texto))
